complexType "BermudaExercise"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | bermudaExerciseDates?, relevantUnderlyingDate?, earliestExerciseTime?, latestExerciseTime?, expirationTime?, multipleExercise?, exerciseFeeSchedule?
</...>

Content Model Elements (7):

  bermudaExerciseDates (in bermudaExercise), earliestExerciseTime (in bermudaExercise), exerciseFeeSchedule (in bermudaExercise), expirationTime (in bermudaExercise), | latestExerciseTime (in bermudaExercise), multipleExercise (in bermudaExercise), relevantUnderlyingDate (in bermudaExercise)

All Direct / Indirect Based Elements (1):

  bermudaExercise

Known Usage Locations

- As direct type of elements (1):
  bermudaExercise

Annotation
A type defining the Bermuda option exercise dates and the expiration date together with any rules govenerning the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fee.
Type Definition Detail

Type Derivation Tree Exercise (extension) BermudaExercise

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="BermudaExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="bermudaExerciseDates" type="AdjustableOrRelativeDates"/> <xsd:element minOccurs="0" name="relevantUnderlyingDate" type="AdjustableOrRelativeDates"/> <xsd:element minOccurs="0" name="earliestExerciseTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="latestExerciseTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="multipleExercise" type="MultipleExercise"/> <xsd:element minOccurs="0" name="exerciseFeeSchedule" type="ExerciseFeeSchedule"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/7)
bermudaExerciseDates

  Type: | AdjustableOrRelativeDates, complex content

  The dates the define the Bermuda option exercise dates and the expiration date. The last specified date is assumed to be the expiration date. The dates can either be specified as a series of explicit dates and associated adjustments or as a series of dates defined relative to another schedule of dates, for example, the calculation period start dates. Where a relative series of dates are defined the first and last possible exercise dates can be separately specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="bermudaExerciseDates" type="AdjustableOrRelativeDates"/>

earliestExerciseTime

  Type: | BusinessCenterTime, complex content

  The earliest time at which notice of exercise can be given by the buyer to the seller (or seller's agent) i) on the expriation date, in the case of a European style option, (ii) on each bermuda option exercise date and the expiration date, in the case of a Bermuda style option the commencement date to, and including, the expiration date , in the case of an American option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="earliestExerciseTime" type="BusinessCenterTime"/>

exerciseFeeSchedule

  Type: | ExerciseFeeSchedule, complex content

  The fees associated with an exercise date. The fees are conditional on the exercise occuring. The fees can be specified as actual currency amounts or as percentages of the notional amount being exercised.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseFeeSchedule" type="ExerciseFeeSchedule"/>

expirationTime

  Type: | BusinessCenterTime, complex content

  The latest time for exercise on expirationDate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"/>

latestExerciseTime

  Type: | BusinessCenterTime, complex content

  For a Bermuda or American style option, the latest time on an exercise business day (excluding the expiration date) within the exercise period that notice can be given by the buyer to the seller or seller's agent. Notice of exercise given after this time will be deemed to have been given on the next exercise business day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="latestExerciseTime" type="BusinessCenterTime"/>

multipleExercise

  Type: | MultipleExercise, complex content

  As defined in the 2000 ISDA Definitions, Section 12.4. Multiple Exercise, the buyer of the option has the right to exercise all or less than all the unexercised notional amount of the underlying swap on one or more days in the exercise period, but on any such day may not exercise less than the minimum notional amount or more that the maximum notional amount, and if an integral multiple amount is specified, the notional amount exercised must be equal to, or be an intergral multiple of, the integral multiple amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multipleExercise" type="MultipleExercise"/>

relevantUnderlyingDate

  Type: | AdjustableOrRelativeDates, complex content

  The date on the underlying set by the exercise of an option. What this date is depends on the option (e.g. in a swaption it is the swap effective date, in an extendible/cancelable provision it is the swap termination date).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relevantUnderlyingDate" type="AdjustableOrRelativeDates"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.